core

AuthorJane Street Group, LLC <opensource@janestreet.com>
LicenseApache-2.0
Homepagehttps://github.com/janestreet/core
Issue Trackerhttps://github.com/janestreet/core/issues
Maintaineropensource@janestreet.com
Dependencies
&base>= v0.9.4&v0.10
base-threads
configurator>= v0.9&v0.10
core_kernel>= v0.9.1&v0.10
jbuilder>= 1.0+beta2
ocaml-migrate-parsetree>= 0.4
ppx_assert>= v0.9&v0.10
ppx_driver>= v0.9.2&v0.10
ppx_jane>= v0.9&v0.10
sexplib>= v0.9.3&v0.10
spawn>= v0.9&v0.10
stdio>= v0.9.1&v0.10
Availableocaml-version >= "4.03.0"
PublishedNov 2, 2017
Source [http] https://github.com/janestreet/core/archive/v0.9.2.tar.gz
9da0c7a52f2d845c6d51a2f21b5e4c74
StatisticsInstalled 414 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/core/core.v0.9.2/opam

Industrial strength alternative to OCaml's standard library

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Necessary for
anycache-async
arakoon
>= 1.9.17
async
&>= v0.9.0
v0.10.0
async-mvar
async-zmq
>= 0.1.0
async_extended
&>= v0.9.0
v0.10.0
async_extra
|108.00.02
&>= v0.9.0
v0.10.0
async_find
&>= v0.9.0
v0.10.0
async_inotify
&>= v0.9.0
v0.10.0
async_interactive
v0.10.0
async_parallel
&>= v0.9.0
v0.10.0
async_shell
&>= v0.9.0
v0.10.0
async_smtp
&>= v0.9.0
v0.10.0
async_ssl
&>= v0.9.0
v0.10.0
async_unix
|108.00.02
&>= v0.9.0
v0.10.0
aws-s3
bistro
|0.2.0
>= 0.3.0
boomerang
capnp
>= 3.0.0
caravan
cfstream
1.1.2
command_rpc
v0.10.0
core_bench
&>= v0.9.0
v0.10.0
core_extended
&>= v0.9.0
v0.10.0
core_profiler
&>= v0.9.0
v0.10.0
csvfields
v0.10.0
ecaml
v0.10.0
email_message
&>= v0.9.0
v0.10.0
expect_test_helpers
v0.10.0
facebook-sdk
>= 0.3.1
flow
0.2
frag
frenetic
|&>= 2.0.0
3.0.0
>= 3.1.0
gen_server
get_line
&>= 2.1.0
2.1.1
gnuplot
>= 0.5.3
gpr
|1.2.2
>= 1.3.0
hll
2.7
ibx
|0.5.9
>= 0.8.0
&>= 0.7.2
0.7.3
incremental
&>= v0.9.0
v0.10.0
jenga
&>= v0.9.0
v0.10.0
json-wheel_jane_street_overlay
libsvm
0.9.3
mqtt_client
netml
numalib
obeanstalk
ocaml_plugin
&>= v0.9.0
v0.10.0
opam-sync-github-prs
opass
&>= 1.0.6
2.15
openflow
&>= 0.3.0
0.9.0
opium
0.12.0
osbx
1.1.1
osm_xml
ox
>= 1.1.0
patdiff
&>= v0.9.0
v0.10.0
ppx_bitstring
1.3.0
primes
1.3.5
prob-cache
riakc
>= 1.0.0
riakc_ppx
|3.1.3
>= 3.1.4
rpc_parallel
&>= v0.9.0
v0.10.0
sill
sociaml-tumblr-api
0.2.0
spatial_index
stationary
textutils
&>= v0.9.0
v0.10.0
tube
4.1.1
vrt
Optional for
batsh
&>= 0.0.4
0.0.5
biocaml
>= 0.5.0
dlist
0.0.3
libsvm
&>= 0.9.3
0.9.4